<?php
/**
 * HelpSystemModule class file.
 * @author  Digital Mesh <info@digitalmesh.com>
 * @copyright Copyright &copy; Digital Mesh 2013-
 * @license http://www.opensource.org/licenses/bsd-license.php New BSD License
 * @package HelpSystem
 */
/**
 * This module includes complete support for your help in this Application
 *
 */
class HelpSystemModule extends CWebModule
{
	/**
	 * @property integer $bootstrapVersion
	 * @property string $userRole
	 * @property string $languageCode
	 * @property string $pageLayout
	 */
	public $bootstrapVersion = 2;//Set default bootstrap version as 2
	public $userRole = 'admin';//Set default user role as admin
	public $languageCode = 'en-us';//Set default language as English (United States)
	public $pageLayout = null; // Set the layout of the view
	public function init()
	{
		// this method is called when the module is being created
		// you may place code here to customize the module or the application

		// import the module-level models and components
		$this->setImport(array(
			'helpSystem.models.*',
			'helpSystem.components.*',
		));
	}

	public function beforeControllerAction($controller, $action)
	{
		if(parent::beforeControllerAction($controller, $action))
		{
			// this method is called before any module controller action is performed
			// you may place customized code here
			return true;
		}
		else
			return false;
	}
}
