<?php

class DMEditorModule extends CWebModule
{
	public $_editorAsset;
	public $allowedImageSize =2;
	public $imageUploadPath = "images/EditorImages";
	public $allowedImageTypes = array('gif', 'jpeg', 'jpg', 'png') ;
	public function init()
	{
		// this method is called when the module is being created
		// you may place code here to customize the module or the application

		// import the module-level models and components
		$this->setImport(array(
			'helpSystem.extensions.dmEditor.models.*',
			'helpSystem.extensions.dmEditor.components.*',
		));
		
	}

	public function beforeControllerAction($controller, $action)
	{
		if(parent::beforeControllerAction($controller, $action))
		{
			// this method is called before any module controller action is performed
			// you may place customized code here
			return true;
		}
		else
			return false;
	}
	
	public function getEditorAsset(){
		if($this->_editorAsset == null){
			$assets=dirname(__FILE__).'/assets';
			$this->_editorAsset=Yii::app()->assetManager->publish($assets);
		}
		return $this->_editorAsset;
	}
}
