<div class="contain">
  <div class="topiclist">
	<ul id="myTab" class="nav nav-tabs">
	 <li class="active"><?php echo CHtml::link("Topic","#",array("title"=>"Topic"))?></li>
	 <li class=""><?php echo CHtml::link("Section",Yii::app()->createUrl("helpSystem/admin/section"),array("title"=>"Section"))?></li>              
	</ul>
            
	<div class="<?php echo $bootstrapClass->getBootstrapClass("topicList","topic-filter");?>">
    	<div class="row">
        	<div class="<?php echo $bootstrapClass->getBootstrapClass("topicList","span3pullleft");?>">
            	<?php 
                	$form=$this->beginWidget('CActiveForm', array(
                	'id'=>'topicIndex-form',
					'action'=>Yii::app()->createUrl("helpSystem/admin/topic/index"),
					'htmlOptions'=>array("style"=>"margin:0;")
					));
                	echo CHtml::dropDownList("sectionId",
					$sectionId,
					$sectionList,
					array('onChange'=>'this.form.submit();',
					'empty'=>'Please Select',
					'class'=>$bootstrapClass->getBootstrapClass("topicList","formControl")));
					$this->endWidget();
	           	?>
             </div>
             <div class="<?php echo $bootstrapClass->getBootstrapClass("topicList","span3pullrighttextright");?>">
	             <?php echo CHtml::link("Add Topics",
              				Yii::app()->createUrl("helpSystem/admin/topic/create",array("sectionId"=>$sectionId)),
              				array("title"=>"Add Topics",
              				"class"=>$bootstrapClass->getBootstrapClass("topicList","btnBtnSuccessBtnMini")
                   			));
                   ?>
                   <?php echo CHtml::link("Reorder Topics",
              				Yii::app()->createUrl("helpSystem/admin/topic/reorderSection",array("sectionId"=>$sectionId)),
              				array("title"=>"Reorder Topics",
              				"class"=>$bootstrapClass->getBootstrapClass("topicList","btnBtnSuccessBtnMini")
                   			));
                   ?>
             </div>
        </div>
    </div>
     <div class="<?php echo $bootstrapClass->getBootstrapClass("topicList","span12Mtop20");?>">
     	<div class="row">
           <?php if(!empty($topicList)){?>
        	<table class="table table-bordered" width="100%">
            	<tr>
                	<th width="40%">Name</th>
            		<th width="40%">Section</th>
            		<th width="40%">Topic Id</th>
                	<th width="20%" class="text-center" colspan="2">Action</th>
            	</tr>

              	<?php foreach ($topicList as $topic){ ?>
           		<tr>
                	<td class="Wbreak"><?php echo CHtml::encode($topic->TopicTexts[0]->Title);?></td>
                	<td class="Wbreak"><?php echo CHtml::encode($topic->section->sectionTexts[0]->Name);?></td>
                	<td class="Wbreak"><?php echo CHtml::encode($topic->TopicId);?></td>
                	<td>
               			<?php echo CHtml::link('Edit','', array('class'=>$bootstrapClass->getBootstrapClass("topicList","btnBtnPrimaryBtnMini"),
                        		'title' => 'Edit','href'=>$this->createUrl('topic/update',array('id'=>$topic->TopicId, 'pno'=>$offset))));
                   		?>
                    	</td>
               		<td>
                    	<?php echo  CHtml::link('Delete','javascript:void(0);',
                        	array('title'=> 'Delete',
							'submit'=>array('topic/delete','id'=>$topic->TopicId),
							'confirm' => 'Related topics will also be deleted. Are you sure you want to delete this ?',
							'class'=>$bootstrapClass->getBootstrapClass("topicList","btnBtnDangerBtnMini"))
							);?>
               		</td>
            	</tr>
    		<?php }?>
			</table>
         	<?php }else{?>
         	<h4>No records found.</h4>
          	<?php }?>
            <?php $this->renderPartial("pagination",array(
                  'bootstrapClass'=>$bootstrapClass,
                  'pages'=>$pages,
                  'sectionId'=>$sectionId
                  ))?>
  		</div> <!-- Row Closed -->
	</div>
</div>
</div>